Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class Process

    java.lang.Object
      |
      +--org.apache.xalan.xslt.Process

public class Process
extends java.lang.Object

The main() method handles the Xalan command-line interface.

Usage:

Constructor Summary
`Process()`

Method Summary
`static void` | `main(java.lang.String[] argv)` Command line interface to transform an XML document according to the instructions found in an XSL stylesheet.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Process

    public Process()

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Command line interface to transform an XML document according to the instructions found in an XSL stylesheet.

  The Process class provides basic functionality for performing transformations from the command line. To see a list of arguments supported, call with zero arguments.

  To set stylesheet parameters from the command line, use `-PARAM name expression`. If you want to set the parameter to a string value, simply pass the string value as-is, and it will be interpreted as a string. (Note: if the value has spaces in it, you may need to quote it depending on your shell environment).

  Parameters:
    `argv` - Input parameters from command line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.